package com.huaweicloud.sdk.iot.amqpdemo;

public final class LogUtil {
    public static void info(String format, Object... args) {
        System.out.printf(format.replaceAll("\\{\\}", "%s") + "%n", args);
    }

    public static void error(String format, Object... args) {
        System.err.printf(format.replaceAll("\\{\\}", "%s") + "%n", args);
    }

    public static void exceptionError(Throwable e, String format, Object... args) {
        System.err.printf(format.replaceAll("\\{\\}", "%s") + "%n", args);
        e.printStackTrace();
    }
}
